# Uses of Interface
org.apache.lucene.util.hnsw.CloseableRandomVectorScorerSupplier

Packages that use CloseableRandomVectorScorerSupplier
Package
Description
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.

## Uses of CloseableRandomVectorScorerSupplier in org.apache.lucene.codecs.hnsw

Methods in org.apache.lucene.codecs.hnsw that return CloseableRandomVectorScorerSupplier
Modifier and Type
Method
Description
`abstract CloseableRandomVectorScorerSupplier`
FlatVectorsWriter.`mergeOneFieldToIndex(FieldInfo fieldInfo, MergeState mergeState)`
Write the field for merging, providing a scorer over the newly merged flat vectors.

## Uses of CloseableRandomVectorScorerSupplier in org.apache.lucene.codecs.lucene99

Methods in org.apache.lucene.codecs.lucene99 that return CloseableRandomVectorScorerSupplier
Modifier and Type
Method
Description
`CloseableRandomVectorScorerSupplier`
Lucene99FlatVectorsWriter.`mergeOneFieldToIndex(FieldInfo fieldInfo, MergeState mergeState)`
`CloseableRandomVectorScorerSupplier`
Lucene99ScalarQuantizedVectorsWriter.`mergeOneFieldToIndex(FieldInfo fieldInfo, MergeState mergeState)`